%This file is used to change the yticklabels of wlplot
% from log2(p) to p.
%
% .......................................................................
% References: 
% Zhou YH, Zheng DW, Liao XH, Wavelet analysis of interannual LOD, AAM 
%     and ENSO: 1997~98 El Nino and 1998~99 La Nino signals, Journal of Geodesy, 
%     Vol.75, Page 164-168, 2001.
%
% Chao BF, Naito I, Wavelet analysis provides a new tool for studing 
%     Earth's rotation. EOS Transaction, Vol.76, Page 161-165, 1995.
% .......................................................................
%
% Sylvia, Jun 2017, at Shanghai Astronomical Observatory 
%
function y=wlchange
   cell=get(gca,'yticklabel');
   [mm,nn]=size(cell);
   a1=cell2mat(cell(1,:));
   a1=str2num(a1);
   a2=cell2mat(cell(mm,:)); 
   a2=str2num(a2);
   interval=str2num(cell2mat(cell(2,:)))-a1;
   dd=[];
   loc=[];
   for i=a2:-interval:a1
       if i==fix(i)
           cc=2^i;
           loc=[loc;i];
           dd=[dd;cc];
       end
   end
   loc=flipud(loc);        
   dd=flipud(dd);
   set(gca, 'ytick', loc); 
   set(gca,'yticklabel',dd);